Name: icingadb
Version: 1.4.0
Release: 1%{?dist}.cubbi1
Summary: Icinga configuration and state database supporting multiple environments

Group: Productivity/Databases/Daemons

License: GPLv2

URL: https://icinga.com
Source0: %{name}-%{version}.tgz
Source1: %{name}.service
Source2: %{name}-rpm.tgz

BuildRequires: gcc
BuildRequires: systemd-rpm-macros
BuildRequires: golang

Requires(pre): shadow-utils

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This is the Icinga DB daemon, which synchronizes monitoring data
between a Redis® server and a database.

%define debug_package %{nil}

%prep
%autosetup
install -d sources
tar -C sources -xzvf %_topdir/SOURCES/%{name}-rpm.tgz

sed -i s@/usr/sbin@/usr/sbin@g %_topdir/SOURCES/%{name}.service
go build -buildvcs=false -trimpath -o . ./cmd/...

cd sources/SELinux
for variant in mls targeted; do
make NAME=${variant} -f /usr/share/selinux/devel/Makefile
mv %{name}.pp %{name}.pp.${variant}
make NAME=${variant} -f /usr/share/selinux/devel/Makefile clean
done
cd -

%install

install -Dpm 0755 icingadb %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/sbin/icingadb
install -Dpm 0755 icingadb-migrate %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/sbin/icingadb-migrate
install -dm 0750 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/etc/icingadb
install -pm 0640 config.example.yml %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/etc/icingadb/config.yml
install -Dpm 0644 %_topdir/SOURCES/%{name}.service %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64%{_unitdir}/icingadb.service

install -dm 0755 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/icingadb
cp -rv schema %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/icingadb/

install -dm 0755 %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/doc/icingadb
cp -v README.md %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/doc/icingadb/
cp -rv doc %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/doc/icingadb/

cd sources/SELinux
for variant in mls targeted; do
install -Dpm 644 icingadb.pp.${variant} %_topdir/BUILDROOT/%{name}-%{version}-%{release}.x86_64/usr/share/selinux/${variant}/icingadb.pp
done
cd -

%pre
getent passwd icingadb >/dev/null || useradd -rU -d /etc/icingadb -s /sbin/nologin icingadb

%post
%systemd_post icingadb.service

%preun
%systemd_preun icingadb.service

%postun
%systemd_postun_with_restart icingadb.service

%files
%license LICENSE
/usr/share/doc/icingadb
/usr/sbin/icingadb
/usr/sbin/icingadb-migrate
%{_unitdir}/icingadb.service
/usr/share/icingadb

%attr(-, icingadb, root) /etc/icingadb
%attr(-, icingadb, root) %config(noreplace) /etc/icingadb/config.yml

%package selinux
Summary: SELinux policy module for Icinga DB
Group: System/Base
Requires: %{name} = %{version}-%{release}
Requires: selinux-policy
Requires: icinga-selinux-common
Requires(post): policycoreutils
Requires(postun): policycoreutils

BuildArch: noarch

BuildRequires: checkpolicy
BuildRequires: selinux-policy-devel

%description selinux
SELinux policy module for Icinga DB daemon.

%post selinux
for variant in mls targeted; do
/usr/sbin/semodule --store ${variant} --install /usr/share/selinux/${variant}/icingadb.pp &> /dev/null || :
done

/sbin/fixfiles -R icingadb restore &> /dev/null || :

%postun selinux
if [ $1 -eq 0 ]; then
for variant in mls targeted; do
/usr/sbin/semodule --store ${variant} --remove icingadb &> /dev/null || :
done

/sbin/fixfiles -R icingadb restore &> /dev/null || :
fi

%files selinux
/usr/share/selinux/mls/icingadb.pp
/usr/share/selinux/targeted/icingadb.pp

%changelog
* Fri Jul 11 2025 Matthias Hensler <matthias@wspse.de> - 1.4.0-1.cubbi1
- build for RHEL

* Tue Jun 17 2025 Icinga GmbH <info@icinga.com> - 1.4.0-1.fc40
- Version 1.4.0-1

